Bug 476447 - nautilus-cd-burner crashes when writing to disc
nautilus-cd-burner crashes when writing to disc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 16:06 EST by Ondrej X Dolezal
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:17:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug-buddy report (344.55 KB, text/plain)
2008-12-14 16:06 EST, Ondrej X Dolezal
no flags Details
bug buddy report for similar crash (356.44 KB, text/plain)
2009-02-16 17:52 EST, Steve Tyler
no flags Details

  None (edit)
Description Ondrej X Dolezal 2008-12-14 16:06:23 EST
Created attachment 326885 [details]
bug-buddy report

Description of problem:
Nautilus-cd-burner is broken since the batch of updates that broken the PackageKit. Trying to write either an already prepared ISO file or creating a new CD or DVD from scratch with CD Creator does not work.
Sometimes just as the writing starts (results in a broken disc), sometimes just when the writing finishes (the behaviour seems to change with incoming updates) bug-buddy reports that nautilus-cd-burner crashed. 
Also, trying to write anything using the "Image writer" (to create an ISO) fails in the same way immediately.

Before the PackageKit breakdown, CD/DVD were created on exactly the same machines. Also, just after the breakdown, Gnome CD automounting became erratic - blank media were never recognized, with later updates they were recognized only after double clicking on the drive in Nautilus. This is already working again.

Version-Release number of selected component (if applicable):
nautilus-cd-burner-2.24.0-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Open "CD Creator"
2. Add some files
3. Push write, confirm name and speed
  
Actual results:
bug-buddy reports that nautilus-cd-burner has crashed. Sometimes just as the writing starts (results in a broken disc), sometimes just when the writing finishes - seems to change with the latest updates from the later to the (more unfortunate) former.

Expected results:
CD/DVD is written and nautilus-cd-burner asks whether to write another copy.

Additional info:
Exactly the same behaviour is seen on 2 machines, both clean F10 i386 installs, dual-core Intel systems with Intel chipsets, 1GB RAM but with different HW components. Even a DVD writer was changed from an older IDE to a brand new SATA model with no successs. 
Both machines running Gnome desktop in cs_CZ.UTF-8 locale. SELinux disabled on both.
Comment 1 Ondrej X Dolezal 2009-02-05 08:28:29 EST
Well two months later and the bug is not even accepted.
I can confirm that the bug clearly manifests itself in the described way even with recent updates, on multiple machines with

kernel-2.6.27.12-170.2.5.fc10.i686
nautilus-2.24.2-2.fc10.i386
nautilus-cd-burner-2.24.0-1.fc10.i386

Additionaly another freshly installed F10 on new Core2Duo, Intel P31 mb, 2G RAM behaves in exactly the same way.
Comment 2 Steve Tyler 2009-02-16 17:52:24 EST
Created attachment 332148 [details]
bug buddy report for similar crash

This report was produced while creating an ISO image.
The GUI remains running and is responsive afterwards.

Whether the ISO image is actually written or not is inconsistent.

Am seeing this on two F10 systems.
Comment 3 Steve Tyler 2009-02-16 18:09:13 EST
(In reply to comment #2)
> Created an attachment (id=332148) [details]
> bug buddy report for similar crash

I have exactly the same versions as Ondrej:

nautilus-cd-burner-2.24.0-1.fc10.i386
nautilus-2.24.2-2.fc10.i386
kernel-2.6.27.12-170.2.5.fc10.i686
Comment 4 Bug Zapper 2009-11-18 04:41:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:17:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.